from ez_setup import use_setuptools
use_setuptools()
from setuptools import setup, find_packages
from pkg_resources import EntryPoint
import testgears

doc_parts = testgears.__doc__.strip().splitlines()

setup(
    name="TestGears",
    version=testgears.__version__,
    description=doc_parts[0],
    author=testgears.__author__,
    author_email=testgears.__email__,
    license=testgears.__license__,
    long_description = '\n'.join(doc_parts[2:]),
    keywords = "unittest testing",
    platforms = ["any"],
    url = "http://www.turbogears.org/testgears/",
    download_url = "http://www.turbogears.org/TestGears-%s.tar.gz" % \
                   (testgears.__version__),
    install_requires = [ 'setuptools >= 0.6a1' ],
    packages = find_packages(),
    zip_safe = True,
    classifiers = [
        'Development Status :: 3 - Alpha',
        'Environment :: Console',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules'],
    entry_points = {'distutils.commands': 
        ["testgears = testgears.command:TestCommand"]},
)

